Bug 136876 - Strange behaviours with "Link to external files".
Summary: Strange behaviours with "Link to external files".
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.6.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-External-Datalink
  Show dependency treegraph
 
Reported: 2020-09-18 10:06 UTC by Arnaldo
Modified: 2021-08-20 03:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
For "strange behaviour in external link". (199.52 KB, application/pdf)
2020-09-18 10:15 UTC, Arnaldo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Arnaldo 2020-09-18 10:06:28 UTC
Description:
Hi!

I think the enclosed snapshots clarify the bug.

Furthermore:
- I used a model for a new file
- I added some lines to an external file (manual update)
- these are used for a drop-down in A1
- I saved the "external file"
- I updated the link in the new file
- all OK in the new file
- I saved the new
- I closed Calc

I use the value of A1 for formulas in other cells using "vertical search".

When I re-open the "new":
- all the "just added" rows in the external file are OK in A1 but has an error in the cells that refer to A1 in the row
- Calc informs that automatic update is disabled so I click OK
- all is fine again
- BUT
- the link for A1 formula has changed to another one that is used in this file
- BUT
- value in A1 and cells referring to A1 are OK

If needed, tell me how to submit model with the linked files.

Thanks.

Actual Results:
See above.

Expected Results:
See above.


Reproducible: Always


User Profile Reset: No



Additional Info:
See above.
Comment 1 Arnaldo 2020-09-18 10:15:21 UTC
Created attachment 165654 [details]
For "strange behaviour in external link".
Comment 2 m.a.riosv 2020-09-22 07:32:23 UTC
Please attach a sample of both files for test.
Comment 3 Gabor Kelemen (allotropia) 2021-01-20 13:01:00 UTC
NEEDINFO per last comment.

Please submit minimal documents that can be used to reproduce the error.
Also what file formats did you use?
Comment 4 QA Administrators 2021-07-20 03:38:12 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2021-08-20 03:52:24 UTC
Dear Arnaldo,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp